<button id="button" class="hamburger">
    <span class="burger"></span>
    <span class="burger"></span>
    <span class="burger"></span>
</button>
<div class="content">
    <div class="flex">
        <nav>
            <ul id="links" class="navigation">
                {% set show_onpage_menu = header.onpage_menu == true or header.onpage_menu is null %}
                {% macro pageLinkName(text) %}{{ text|lower|replace({' ':'_'}) }}{% endmacro %}

                {% for page in pages.children %}
                    {% if page.visible %}
                        {% if page.visible %}
                            {% set current_page = (page.active or page.activeChild) ? 'active' : '' %}
                            <li class="{{ current_page }}">
                                <a class="nav-link" href="{{ page.url }}">
                                    {{ page.menu }}
                                </a>
                            </li>
                        {% else %}
                            sss
                        {% endif %}
                    {% endif %}
                {% endfor %}
            </ul>
        </nav>
    </div>
</div>